/* object.c */
/* */
/* Author: Darrin Massena (darrin@massena.com) */
/* Date: 6/24/96 */
/* 10/31/99  Bodo Wenzel  changed to ANSI-C style */
/*                        allow both endianesses */


#include "pila.h"
#include "asm.h"
#include "prc.h"

int outputObj(long lOutLoc, long data, int size)
{
    byte *pbOutput = gpbOutput + lOutLoc;
    switch (size) {
    case BYTE:
        *pbOutput   = (byte)data;
        break;

    case WORD:
        *pbOutput++ = (byte)(data >> 8);
        *pbOutput   = (byte) data;
        break;

    case LONG:
        *pbOutput++ = (byte)(data >> 24);
        *pbOutput++ = (byte)(data >> 16);
        *pbOutput++ = (byte)(data >> 8);
        *pbOutput   = (byte) data;
        break;
    }

    return NORMAL;
}
