;-----------------------------------------------------------------------------
; pilotadd.inc
;
;   include file for pila
;
;   processed from USR Pilot include files
;
;-----------------------------------------------------------------------------
; missing definitions, added by Bodo Wenzel

; system/chars.h, but only some needed with old names

backlightChr		equ	$0113
autoOffChr		equ	$0114
powerOffChr		equ	$011E
hardCradle2Chr		equ	$020A
hardContrastChr		equ	$020B
hardAntennaChr		equ	$020C
hardBrightnessChr	equ	$020D

; system/keymgr.h

keyBitPower		equ	$0001
keyBitPageUp		equ	$0002
keyBitPageDown		equ	$0004
keyBitHard1		equ	$0008
keyBitHard2		equ	$0010
keyBitHard3		equ	$0020
keyBitHard4		equ	$0040
keyBitCradle		equ	$0080
keyBitAntenna		equ	$0100
keyBitContrast		equ	$0200
keyBitsAll		equ	$FFFFFFFF
slowestKeyDelayRate	equ	$ff
slowestKeyPeriodRate	equ	$ff

; system/systemmgr.h

struct SysDBListItemType
  name.32	;dmDBNameLength
  creator.l
  type.l
  version.w
  dbID.l
  cardNo.w
  iconP.l
endstruct

; ui/Event.h

frmTitleEnterEvent	equ	29
frmTitleSelectEvent	equ	30
tblExitEvent		equ	31
sclEnterEvent		equ	32
sclExitEvent		equ	33
sclRepeatEvent		equ	34

appEvtHookKeyMask	equ	$0200
libEvtHookKeyMask	equ	$0400

struct frmTitleEnter
    formID.w
endstruct

struct frmTitleSelect
    formID.w
endstruct

struct sclEnter
    scrollBarID.w
    pScrollBar.l
endstruct

struct sclExit
    scrollBarID.w
    pScrollBar.l
    value.w
    newValue.w
endstruct

struct sclRepeat
    scrollBarID.w
    pScrollBar.l
    value.w
    newValue.w
    time.l
endstruct

; ui/Progress.h

progressMaxMessage	equ	128
progressMaxTitle	equ	20

struct PrgCallbackData
    stage.w
    textP.l
    textLen.w
    message.l
    error.w
    bitmapId.w
    flags.w	;for pila
    timeout.l
    barMaxValue.l
    barCurValue.l
    barMessage.l
    barFlags.w
endstruct

PrgCallbackData_Flag_canceled_shift	equ	0
PrgCallbackData_Flag_canceled_count	equ	1
PrgCallbackData_Flag_canceled_mask	equ	$0001
PrgCallbackData_Flag_showDetails_shift	equ	1
PrgCallbackData_Flag_showDetails_count	equ	1
PrgCallbackData_Flag_showDetails_mask	equ	$0002
PrgCallbackData_Flag_textChanged_shift	equ	2
PrgCallbackData_Flag_textChanged_count	equ	1
PrgCallbackData_Flag_textChanged_mask	equ	$0004
PrgCallbackData_Flag_timedOut_shift	equ	3
PrgCallbackData_Flag_timedOut_count	equ	1
PrgCallbackData_Flag_timedOut_mask	equ	$0008

struct ProgressType
    frmP.l
    timeout.l
    flags.w
    error.w
    stage.w
    message.130		;129
    lastBitmapID.w
    ctlLabel.8
    serviceNameP.l
    lastBarMaxValue.l
    lastBarCurValue.l
    oldDrawWinH.l
    oldActiveWinH.l
    oldFrmP.l
    oldInsPtState.w	;.b ?
    oldInsPtPos.PointType
    textCallback.l
    title.22		;21
endstruct

ProgressType_Flag_needUpdate_shift	equ	0
ProgressType_Flag_needUpdate_count	equ	1
ProgressType_Flag_needUpdate_mask	equ	$0001
ProgressType_Flag_cancel_shift		equ	1
ProgressType_Flag_cancel_count		equ	1
ProgressType_Flag_cancel_mask		equ	$0002
ProgressType_Flag_waitingForOK_shift	equ	2
ProgressType_Flag_waitingForOK_count	equ	1
ProgressType_Flag_waitingForOK_mask	equ	$0004
ProgressType_Flag_showDetails_shift	equ	3
ProgressType_Flag_showDetails_count	equ	1
ProgressType_Flag_showDetails_mask	equ	$0008
ProgressType_Flag_messageChanged_shift	equ	4
ProgressType_Flag_messageChanged_count	equ	1
ProgressType_Flag_messageChanged_mask	equ	$0010

; ui/ScrollBar.h

sclUpArrow	equ	0
sclDownArrow	equ	1
sclUpPage	equ	2
sclDownPage	equ	3
sclCar		equ	4

ScrollBarAttrType_usable_shift		equ	0
ScrollBarAttrType_usable_count		equ	1
ScrollBarAttrType_usable_mask		equ	$0001
ScrollBarAttrType_visible_shift		equ	1
ScrollBarAttrType_visible_count		equ	1
ScrollBarAttrType_visible_mask		equ	$0002
ScrollBarAttrType_hilighted_shift	equ	2
ScrollBarAttrType_hilighted_count	equ	1
ScrollBarAttrType_hilighted_mask	equ	$0004
ScrollBarAttrType_shown_shift		equ	3
ScrollBarAttrType_shown_count		equ	1
ScrollBarAttrType_shown_mask		equ	$0008
ScrollBarAttrType_activeRegion_shift	equ	4
ScrollBarAttrType_activeRegion_count	equ	4
ScrollBarAttrType_activeRegion_mask	equ	$00F0
ScrollBarAttrType_sizeof		equ	1

struct ScrollBarType
    bounds.RectangleType
    id.w
    attr.w
    value.w
    minValue.w
    maxValue.w
    pageSize.w
    penPosInCar.w
    savePos.w
endstruct

; system\systemmgr.rh
sysFileCSystem			equ	'psys'
sysFileCGraffiti		equ	'graf'
sysFileCSystemPatch		equ	'ptch'

sysFileCCalculator		equ	'calc'
sysFileCSecurity		equ	'secr'
sysFileCPreferences		equ	'pref'
sysFileCAddress			equ	'addr'
sysFileCToDo			equ	'todo'
sysFileCDatebook		equ	'date'
sysFileCMemo			equ	'memo'
sysFileCSync			equ	'sync'
sysFileCMemory			equ	'memr'
sysFileCMail			equ	'mail'
sysFileCExpense			equ	'exps'
sysFileCLauncher		equ	'lnch'

sysFileCGraffitiDemo		equ	'gdem'
sysFileCMailDemo		equ	'mdem'

sysFileCFirstApp		equ	sysFileCPreferences
sysFileCDefaultApp		equ	sysFileCPreferences
sysFileCDefaultButton1App	equ	sysFileCDatebook
sysFileCDefaultButton2App	equ	sysFileCAddress
sysFileCDefaultButton3App	equ	sysFileCToDo
sysFileCDefaultButton4App	equ	sysFileCMemo
sysFileCDefaultCalcButtonApp	equ	sysFileCCalculator
sysFileCDefaultCradleApp	equ	sysFileCSync
sysFileCDefaultModemApp		equ	sysFileCSync
sysFileCNullApp			equ	'0000'

sysFileCDigitizer		equ	'digi'
sysFileCGeneral			equ	'gnrl'
sysFileCFormats			equ	'frmt'
sysFileCShortCuts		equ	'shct'
sysFileCButtons			equ	'bttn'
sysFileCOwner			equ	'ownr'
sysFileCModemPanel		equ	'modm'
sysFileCDialPanel		equ	'dial'
sysFileCNetworkPanel		equ	'netw'
sysFileCPADHtal			equ	'hpad'
sysFileCTCPHtal			equ	'htcp'
sysFileCMineHunt		equ	'mine'
sysFileCPuzzle15		equ	'puzl'
sysFileCOpenLibInfo		equ	'olbi'

sysFileTLibrary			equ	'libr'

sysFileCNet			equ	'netl'
sysFileCIrLib 			equ	'irda'

sysFileCSerialHwrMgr		equ	'shwm'
sysFileCSerialWrapper		equ	'swrp'
sysFileCIrSerialWrapper		equ	'iwrp'

sysFileTUartPlugIn		equ	'sdrv'
sysFileCUart328 		equ	'u328'
sysFileCUart650 		equ	'u650'

sysFileTSystem			equ	'rsrc'
sysFileTSystemPatch		equ	'ptch'
sysFileTKernel			equ	'krnl'
sysFileTUIAppShell		equ	'uish'
sysFileTExtension		equ	'extn'
sysFileTApplication		equ	'appl'
sysFileTPanel			equ	'panl'
sysFileTSavedPreferences	equ	'sprf'
sysFileTPreferences		equ	'pref'
sysFileTMidi			equ	'smfr'
sysFileTGraffitiMacros		equ	'macr'
sysFileTHtalLib			equ	'htal'
sysFileTExgLib			equ	'exgl'
sysFileTFileStream		equ	'strm'
sysFileTTemp			equ	'temp'

; system\systemmgr.h
sysFtrCreator			equ	sysFileCSystem
sysFtrNumProcessorID		equ	2
sysFtrNumProcessorMask		equ	$FFFF0000
sysFtrNumProcessor328		equ	$00010000
sysFtrNumProcessorEZ		equ	$00020000
sysFtrNumBacklight		equ	3
sysFtrNumEncryption		equ	4
sysFtrNumEncryptionMaskDES	equ	$00000001
sysFtrNumCountry		equ	5
sysFtrNumLanguage		equ	6
sysFtrNumDisplayDepth		equ	7

sysErrDelayWakened		equ	$0000050b
sysErrRomIncompatible		equ	$0000050c

; system\systraps.h
; PalmOS 2.X traps
sysTrapSclSetScrollBar			equ	41654
sysTrapSclDrawScrollBar			equ	41655
sysTrapSclHandleEvent			equ	41656
sysTrapSysMailboxCreate			equ	41657
sysTrapSysMailboxDelete			equ	41658
sysTrapSysMailboxFlush			equ	41659
sysTrapSysMailboxSend			equ	41660
sysTrapSysMailboxWait			equ	41661
sysTrapSysTaskWait			equ	41662
sysTrapSysTaskWake			equ	41663
sysTrapSysTaskWaitClr			equ	41664
sysTrapSysTaskSuspend			equ	41665
sysTrapSysTaskResume			equ	41666
sysTrapCategoryCreateList		equ	41667
sysTrapCategoryFreeList			equ	41668
sysTrapCategoryEditV20			equ	41669
sysTrapCategorySelect			equ	41670
sysTrapDmDeleteCategory			equ	41671
sysTrapSysEvGroupCreate			equ	41672
sysTrapSysEvGroupSignal			equ	41673
sysTrapSysEvGroupRead			equ	41674
sysTrapSysEvGroupWait			equ	41675
sysTrapEvtEventAvail			equ	41676
sysTrapEvtSysEventAvail			equ	41677
sysTrapStrNCopy				equ	41678
sysTrapKeySetMask			equ	41679
sysTrapSelectDay			equ	41680
sysTrapPrefGetPreference		equ	41681
sysTrapPrefSetPreference		equ	41682
sysTrapPrefGetAppPreferences		equ	41683
sysTrapPrefSetAppPreferences		equ	41684
sysTrapFrmPointInTitle			equ	41685
sysTrapStrNCat				equ	41686
sysTrapMemCmp				equ	41687
sysTrapTblSetColumnEditIndicator	equ	41688
sysTrapFntWordWrap			equ	41689
sysTrapFldGetScrollValues		equ	41690
sysTrapSysCreateDataBaseList		equ	41691
sysTrapSysCreatePanelList		equ	41692
sysTrapDlkDispatchRequest		equ	41693
sysTrapStrPrintF			equ	41694
sysTrapStrVPrintF			equ	41695
sysTrapPrefOpenPreferenceDB		equ	41696
sysTrapSysGraffitiReferenceDialog	equ	41697
sysTrapSysKeyboardDialog		equ	41698
sysTrapFntWordWrapReverseNLines		equ	41699
sysTrapFntGetScrollValues		equ	41700
sysTrapTblSetRowStaticHeight		equ	41701
sysTrapTblHasScrollBar			equ	41702
sysTrapSclGetScrollBar			equ	41703
sysTrapFldGetNumberOfBlankLines		equ	41704
sysTrapSysTicksPerSecond		equ	41705
sysTrapHwrBacklight			equ	41706
sysTrapDmDatabaseProtect		equ	41707
sysTrapTblSetBounds			equ	41708
sysTrapStrNCompare			equ	41709
sysTrapStrNCaselessCompare		equ	41710
sysTrapPhoneNumberLookup		equ	41711
sysTrapFrmSetMenu			equ	41712
sysTrapEncDigestMD5			equ	41713
sysTrapDmFindSortPosition		equ	41714
sysTrapSysBinarySearch			equ	41715
sysTrapSysErrString			equ	41716
sysTrapSysStringByIndex			equ	41717
sysTrapEvtAddUniqueEventToQueue		equ	41718
sysTrapStrLocalizeNumber		equ	41719
sysTrapStrDelocalizeNumber		equ	41720
sysTrapLocGetNumberSeparators		equ	41721
sysTrapMenuSetActiveMenuRscID		equ	41722
sysTrapLstScrollList			equ	41723
sysTrapCategoryInitialize		equ	41724
sysTrapEncDigestMD4			equ	41725
sysTrapEncDES				equ	41726
sysTrapLstGetVisibleItems		equ	41727
sysTrapWinSetWindowBounds		equ	41728
sysTrapCategorySetName			equ	41729
sysTrapFldSetInsertionPoint		equ	41730
sysTrapFrmSetObjectBounds		equ	41731
sysTrapWinSetColors			equ	41732
sysTrapFlpDispatch			equ	41733
sysTrapFlpEmDispatch			equ	41734
; PalmOS 3.X traps
sysTrapExgInit				equ	41735
sysTrapExgConnect			equ	41736
sysTrapExgPut				equ	41737
sysTrapExgGet				equ	41738
sysTrapExgAccept			equ	41739
sysTrapExgDisconnect			equ	41740
sysTrapExgSend				equ	41741
sysTrapExgReceive			equ	41742
sysTrapExgRegisterData			equ	41743
sysTrapExgNotifyReceive			equ	41744
sysTrapExgControl			equ	41745
sysTrapPrgStartDialog			equ	41746
sysTrapPrgStopDialog			equ	41747
sysTrapPrgUpdateDialog			equ	41748
sysTrapPrgHandleEvent			equ	41749
sysTrapImcReadFieldNoSemicolon		equ	41750
sysTrapImcReadFieldQuotablePrintable	equ	41751
sysTrapImcReadPropertyParameter		equ	41752
sysTrapImcSkipAllPropertyParameters	equ	41753
sysTrapImcReadWhiteSpace		equ	41754
sysTrapImcWritequotedPrintable		equ	41755
sysTrapImcWriteNoSemicolon		equ	41756
sysTrapImcStringIsAscii			equ	41757
sysTrapTblGetItemFont			equ	41758
sysTrapTblSetItemFont			equ	41759
sysTrapFontSelect			equ	41760
sysTrapFntDefineFont			equ	41761
sysTrapCategoryEdit			equ	41762
sysTrapSysGetOSVersionString		equ	41763
sysTrapSysBatteryInfo			equ	41764
sysTrapSysUIBusy			equ	41765
sysTrapWinValidateHandle		equ	41766
sysTrapFrmValidatePtr			equ	41767
sysTrapCtlValidatePointer		equ	41768
sysTrapWinMoveWindowAddr		equ	41769
sysTrapFrmAddSpaceForObject		equ	41770
sysTrapFrmNewForm			equ	41771
sysTrapCtlNewControl			equ	41772
sysTrapFldNewField			equ	41773
sysTrapLstNewList			equ	41774
sysTrapFrmNewLabel			equ	41775
sysTrapFrmNewBitmap			equ	41776
sysTrapFrmNewGadget			equ	41777
sysTrapFileOpen				equ	41778
sysTrapFileClose			equ	41779
sysTrapFileDelete			equ	41780
sysTrapFileReadLow			equ	41781
sysTrapFileWrite			equ	41782
sysTrapFileSeek				equ	41783
sysTrapFileTell				equ	41784
sysTrapFileTruncate			equ	41785
sysTrapFileControl			equ	41786
sysTrapFrmActiveState			equ	41787
sysTrapSysGetAppInfo			equ	41788
sysTrapSysGetStackInfo			equ	41789
sysTrapScrDisplayMode			equ	41790
sysTrapHwrLCDGetDepth			equ	41791
sysTrapHwrGetROMToken			equ	41792
sysTrapDbgControl			equ	41793
sysTrapExgDBRead			equ	41794
sysTrapExgDBWrite			equ	41795
sysTrapSysGremlins			equ	41796
sysTrapFrmRemoveObject			equ	41797
; WARNING!! LEAVE THIS ONE AT THE END AND ALWAYS ADD NEW TRAPS TO
;  THE END OF THE TRAP TABLE BUT RIGHT BEFORE THIS TRAP!!!!!!!!!
sysTrapSysReserved1			equ	41798
sysTrapSysReserved2			equ	41799
sysTrapSysReserved3			equ	41800
sysTrapSysReserved4			equ	41801
sysTrapLastTrapNumber			set	41802
